# class Permissions

#### package js.html

Available on HTML5

Documentation Permissions by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Permissions

### Methods

###

`query (permission:Dynamic):Promise<PermissionStatus>`

Throws:

`null` | DOMError

###

`revoke (permission:Dynamic):Promise<PermissionStatus>`

Throws:

`null` | DOMError